package com.amadesa.common.spring;

import com.amadesa.common.AbstractDependencyInjection;

/**
 * @author Boris Kirzner
 */
public class SpringConfigurationTest extends AbstractDependencyInjection {

    public void testService() {
        Object service = this.getApplicationContext().getBean("amTestService");

        assertNotNull(service);
        assertTrue(service instanceof SampleService);

    }

    public void testService2() {
        Object service1 = this.getApplicationContext().getBean("amTestService");
        Object service2 = this.getApplicationContext().getBean("amTestService2");

        assertNotNull(service1);
        assertTrue(service1 instanceof SampleService);

        assertNotNull(service2);
        assertTrue(service2 instanceof SampleService);

        assertNotNull(((SampleService) service2).getAnotherService());
        assertEquals(service1, ((SampleService) service2).getAnotherService());

        assertNotNull(((SampleService) service2).getAnotherService().getSimpleProperty());
        assertEquals("simpleStringValue", ((SampleService) service2).getAnotherService().getSimpleProperty());
    }

}
