package com.amadesa.common.spring;

import org.springframework.beans.factory.xml.NamespaceHandlerSupport;

/**
 * Namespace handler for 'am' namespace. Resisters bean definition parsers for 'am' namespace tags.
 *
 * @author Boris Kirzner
 * @see <a href="http://static.springframework.org/spring/docs/2.0.x/reference/extensible-xml.html">
 *      The Spring Framework - Reference Documentation. Appendix B. Extensible XML authoring.</a>
 */
public class AmNamespaceHandler extends NamespaceHandlerSupport {

    public void init() {
        registerBeanDefinitionParser("service", new ServiceBeanDefinitionParser());
    }
}
