package com.amadesa.common.spring;

import org.springframework.beans.factory.support.BeanDefinitionBuilder;
import org.springframework.beans.factory.support.AbstractBeanDefinition;
import org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser;
import org.springframework.beans.factory.xml.ParserContext;
import org.w3c.dom.Element;

/**
 * Definition parser for 'am:service' tag.
 *
 * @author Boris Kirzner
 */
public class ServiceBeanDefinitionParser extends AbstractSingleBeanDefinitionParser {

    private static final String CLASS = "class";

    protected String getBeanClassName(Element element) {
        return element.getAttribute(CLASS);
    }

    protected void doParse(Element element, ParserContext parserContext, BeanDefinitionBuilder builder) {

        AbstractBeanDefinition definition = builder.getBeanDefinition();
        parserContext.getDelegate().parsePropertyElements(element, definition);
		parserContext.getDelegate().parseQualifierElements(element, definition);

        super.doParse(element, parserContext, builder);
    }
}
